Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface Transition

All Known Implementing Classes:
  TransitionImpl

public interface Transition
extends Belonging

A named transition from one com.beasys.commerce.foundation.State state to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator. The begining state for this transition.

                      startState
     [Transition] <*>------> [com.beasys.commerce.foundation.State]

The targeted state for this transition.

                      endState
     [Transition] <*>------> [com.beasys.commerce.foundation.State]

The event that triggers this transition.

                      name
     [Transition] <*>------> [java.lang.String]

See Also:
  `TransitionHome`, `TransitionImpl`

Method Summary
`State` | `getEndState()` Get the value of endState
`java.lang.String` | `getName()` Get the value of name
`State` | `getStartState()` Get the value of startState
`void` | `setEndState(State endState)` Set the value of endState
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setStartState(State startState)` Set the value of startState

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getStartState

    public State getStartState()

  Get the value of startState

  Returns:
    startState.

### setStartState

    public void setStartState(State startState)

  Set the value of startState

  Parameters:
    `startStates` - startState to be added

### getEndState

    public State getEndState()

  Get the value of endState

  Returns:
    endState.

### setEndState

    public void setEndState(State endState)

  Set the value of endState

  Parameters:
    `endStates` - endState to be added

### getName

    public java.lang.String getName()

  Get the value of name

  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name

  Parameters:
    `names` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved